/*
 * create_quest.hpp
 *
 * Copyright (c) Stephen Thompson, 2007.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef CREATE_QUEST_HPP
#define CREATE_QUEST_HPP

#include "boost/shared_ptr.hpp"
using namespace boost;

#include <string>
using namespace std;

class Quest;
class ServerConfig;

// the following pops an argument list from the kfile.
shared_ptr<Quest> CreateQuest(const string &name, ServerConfig &sc);

#endif
